2001-04-21  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* aclocal.m4 (AM_PATH_GLIB): check for glib12-config.
	* configure.in: likewise.

2000-07-30  Masatake YAMATO  <jet@gyve.org>

	* path_dps.m4 (AC_CHECK_DPS_NXAGENT): Added -lXt to LIBS.
	(AC_PATH_DPSET): Added -lXt to DPS_LIBS.

	* dgs-config.in (libsa): Added -lXt if libs_dpstk is yes.
	
	A problme is reported by Daedalus <daedalus@freemail.it>.

2000-06-22  John Cigas  <cigas@acm.org>

	Each new gstate gets its own copy of the x11 device.

	* gs/dpsagent.c (DGS_copy_device): New function
	* gs/zdps1.c (zgstate): Call DGS_copy_device

2000-06-15  Adam Fedor  <fedor@gnu.org>

	* Version 0.5.10 Released.
	* ANNOUNCE, INSTALL: Updated

2000-06-12  Adam Fedor  <fedor@gnu.org>

	* doc/news.tmpl.texi: Update.

Tue Jun 13 05:17:30 2000  Masatake YAMATO  <jet@gyve.org>

	* doc/news.tmpl.texi: Write paragraphs for 0.5.10(draft).

Wed Jun  7 21:14:31 2000  Masatake YAMATO  <jet@gyve.org>

	* gs/dgsagent.c (proc_agent_setup_window): Added comment about
	XCloseDisplay.

2000-06-06  John Cigas  <cigas@acm.org>

	* gs/dgsagent.c (DGS_free_x_fontmaps): Added parameter gs_memory_t *mem
	(proc_agent_finalize): Added parameter xdev->mem when calling
	DGS_free_x_fontmaps. This is in anticipation of migrating to gs6.01.
			
Sun May 21 00:56:52 2000  Masatake YAMATO  <jet@gyve.org>

	* gs/dgsagent.c (proc_agent_finalize): Added two new local 
	variables, tmp_ptr, tmp_sock;
	Set NULL (or 0) to the freed variables.
	Check the device is X11 device.
	
2000-05-07  Masatake YAMATO  <jet@gyve.org>

	* Version (DGS_SUBMINOR_VERSION): 0.5.10pre2.

	* gs/dgsagent.c (proc_agent_finalize): Check whether pointers 
	to xdev and fonts are alive or not.
	(proc_agent_finalize): Check whether tables are constructed
	or not.

2000-05-04  Masatake YAMATO  <jet@gyve.org>

	* rpms.m4: Copyed from gtkDPS.

	* rpms.mak: Update (copying from gtkDPS).

	* configure.in (run_config_date): Use rpms.m4.

	* Makefile.am (EXTRA_DIST): Added rpms.m4.

2000-05-03  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (SUBDIRS, DIST_SUBDIRS): Move jpeg to DIST_SUBDIRS.
	Applied a patch from suzuki toshiya<suzukis@file.phys.tohoku.ac.jp>.
	Suggested by SHIRASAKI Yasuhiro <yasuhiro@gnome.gr.jp>.

	* NOTES: Write about xprop and gkill.

	* gs/dgsconn.c (conn_atom_cleanup): Call XDeleteProperty if
	there is no agent.
	(conn_atom_cleanup_window): Don't increment i in data packing
	loop.

2000-05-02  Masatake YAMATO  <jet@gyve.org>

	* Version (DGS_SUBMINOR_VERSION): Remove `-' in 
	DGS_SUBMINOR_VERSION. This modification is suggested
	by John Cigas  <cigas@acm.org>.

	* gs/gdevx.c (gdev_x_set_drawable): Update media size
	when a drawable is changed.

2000-05-01  Masatake YAMATO  <jet@gyve.org>

	* Version (DGS_SUBMINOR_VERSION): 0.5.10-pre1.

	* Makefile.am (EXTRA_DIST): Remove rpms.m4.

	* configure.in: Give `.' instead of `./' to AC_SEARCH_DIR.
	This modification is suggested by 
	SHIRASAKI Yasuhiro <yasuhiro@gnome.gr.jp>.

2000-04-29  Masatake YAMATO  <jet@gyve.org>

	* gs/gspath.c (gx_default_clip_box): Don't clip by
	dev->Margins. With this modification, zsetXoffset moves
	origin but doesn't clip.

	* dgs-config.in (dix_x11): New variable. The value is 
	replaced with X_LIBS.
	(--cflags): Added -DHAVE_DPX_NXAGENT to echo list. 

2000-04-26  Masatake YAMATO  <jet@gyve.org>

 	Applied patches from  suzuki toshiya<suzukis@file.phys.tohoku.ac.jp>.
	
	* rpms.mak (RPM): Set the value by configure.
	(RPM_VER_MAJOR): Likewise
	(RPM_VER_MINOR): Likewise
	(RPM_VER_REL): Likewise
	(RPMFLAGS): Likewise
	(rpmdirs:): New target.
	(rpmrcs:): Deleted.
	(rpm:): Refer above variables.

	* dgs.spec.in: RPM_RUN and jpeg_src_prefix are removed.
	Introduce RPM_OPT flags.

	* configure.in (AC_SEARCH_DIR): 
	(AC_SEARCH_FILE): New macros.
	(AC_CHECK_JPEG_SRC): Removed. Checking jpeg, zlib, png with
	AC_SEARCH_FILE and AC_SEARCH_DIR.
	(AC_ARG_RPM_PREFIX): Removed.
	(Packaging supports): Generating rpmrc, rpmmacros and dgs.spec.
	Append dist.make to jpeg/Makefile.

	* Makefile.am (SUBDIRS): Added jpegsrc dir.
	(EXTRA_DIST): Added dist.mak
	
	* dist.mak: New file.

2000-04-24  Masatake YAMATO  <jet@gyve.org>

	* gs/dgsstrm.c (gsdpsx_std_read_process): Retrack my old modification
	
	`2000-01-22  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>'.
	 Move the `(ticks_left_value() == (reschedule_interval - 1))' 
	the sub block of `(cpsid != conn->context_state_index_last)'.
        to top level in this function.

	With this retraction, when you runs gtkDPS/fontsel, 
	you will have LESS chance to encounter following output 
	than before retraction:

	----	----	----	----	----	----	----
	Connection accepted on socket number 6 via UNIXCONN
	GtkDPS version 0.3.4
	computed res of 74.9556x75.0277
	computed res of 74.9556x75.0277
	Unrecoverable error: syntaxerror in --nostringval--
	Unrecoverable error: undefined in s
	Operand stack:
    		40
	----	----	----	----	----	----	----

	=MEMOS=
	
	s: 115
	^A: 1
	40: context id.

	private const byte yield_op_data[] =
        { 129, 1, 12, 0, 131, 0, 255, 255, 115, 1, 0, 0, };
                                           ^^^^^^

2000-04-23  Masatake YAMATO  <jet@gyve.org>

	* gs/dgsagent.c(DGS_get_current_display): Return `shared_dpy' 
	if currend device is not X11. See source code abot more detail.

2000-04-17  Masatake YAMATO  <jet@gyve.org>

        Import codes written by Liguo Song <liguo.song@vanderbilt.edu>.
	
	* gs/dgsserve.c (start_dpsnx_server): Only close socket if 
	conn_server_bind is failed.

	* gs/dgsconn.c (conn_server_bind): Check another socket.
	(conn_check_old_socket): New function.

2000-04-13  Masatake YAMATO  <jet@gyve.org>

	*  (Makefile.in): Use tar instead of gtar.

2000-04-11  John Cigas  <cigas@acm.org>

	* doc/install.tmpl.texi
	Edited additions about JPEG lib and regenerated documentation

2000-04-11  Masatake YAMATO  <jet@gyve.org>

	* gs/unixinst.mak (install-data): Remove dgs.1.
	(install-data): Remove  gs_dpsx.ps.

	* dgs.spec.in (%files): Remove %{prefix}/man/man1/dgs.1.
	Remove  gs_dpsx.ps.
	
	* configure.in (AC_OUTPUT): Remove dpsnx.agent.

	* INSTALL: Write more about JPEG lib.

2000-04-10  Masatake YAMATO  <jet@gyve.org>

	* rpms.mak (rpmrcs): Create directories for each compatible
  	architectures. Applied a patch from 
	suzuki toshiya<suzukis@file.phys.tohoku.ac.jp>.
	
2000-04-09  Masatake YAMATO  <jet@gyve.org>

	* dgs.spec.in: Pack dpsnx.agent instead of dgs.

	* Makefile.am: Removed dpsnx.agent.

	* dgs.spec.in(jpeg_src_prefix): New define. Passed to configure.

	* configure.in (AC_ARG_JPEG_SRC_PREFIX): New macro.
 	`--with-jpeg-src-prefix=JPATH'.
	
	* INSTALL: Write about jpeg src.

	* configure.in (AC_CHECK_JPEG_SRC): New macro. Check
	../.., ../../.. and ../../../.. only if the RPM_RUN is given.
	If the script cannot find jpeg files, print error messages.
	Check configure file in jpeg/.

	* .cvsignore: Added jpeg directory name.

	* dgs.spec.in (CFLAGS): Passed RPM_RUN to configure.
	The value of RPM_RUN is referred from configure.

2000-04-04  John Cigas  <cigas@acm.org>

	Removed "driver_data" structures and code

	* gs/gxstate.h:
	* gs/gzstate.h:
	* gs/gsstate.c:
	* gs/gdevxxf.c: Removed all driver_data references (DGS clean)

	* gs/gdevx.h:
		Removed all driver_data structs and prototypes
		Moved #include "igstate.h" and "gxdevice.h" to dgsagent.c
		Now, the only DGS additions are for
			gs_x_winowner, and
			gdev_x_set_drawable (Move to zdpsx.c or another module?)

	* gs/gdevxini.c:
		Removed all driver_data code and inlines,
		Removed #include "gxstate.h" for igs
		Now, the only DGS modifications are
			set initial_matrix (Needs to be checked)
			gs_x_winowner (throughout), and
			x_get_std_cmap (modified previously...why?)

	* gs/gdevx.c: 
		Removed all "driver_data" code 
		Now, the only DGS additions are for
			gs_x_winowner, and
			gdev_x_set_drawable (Move to zdpsx.c or another module?)

	* gs/dgsagent.c:
		Added #include "igstate.h" and "gxdevice.h"
		Changed gsdpsx_get_offset and gsdpsx_set_offset
		  to accept gx_device instead of gx_device_X
	
	* gs/zdpsx.c:
		Removed all driver_data "inline" references
		Changed gx_device_X to gx_device in call to gsdpsx_get_offset
		Removed unnecessary includes
		(Should standardize device name checking)

	* gs/zmatrix.c:	
		Changed gx_device_X to gx_device in call to gsdpsx_get_offset
		Removed X-related includes (now gdevx clean)

	* gs/gsdpsx.h:
		Changed gsdpsx_get_offset, gsdpsx_set_offset to use gx_device
		Changed include from "gdevx.h" to "gsdevice.h"

	* gs/igstate.h:
		Restored prototype for int_gstate_alloc()

	* gs/int.mak:	
		zmatrix.o : Added $(gsdpsx_h), removed $(XINCLUDE)
		zdpsx.o   : Replaced $(gdevx_h) with $(GLSRC)gdevx.h
		dgsagent.o: Added $(GLSRC)gdevx.h

2000-03-27  John Cigas  <cigas@acm.org>

	*gs/dgs.c (main): Fix number of gs command line args passed
	to interpreter.

2000-03-01  Adam Fedor  <fedor@gnu.org>

	* dgs.spec.in: Remove --glib-exec-path option to CFLAGS. configure
	should figure this out.

2000-03-01  John Cigas  <cigas@acm.org>

	Added patch from SHIRASAKI Yasuhiro <yasuhiro@gnome.gr.jp> to fix
	missing includes and dependency on glibc.

	*gs/getopt.c, gs/getopt1.c, gs/getopt.h: New files
	*gs/dgsconn.c: Added <sys/types.h>, <sys/socket.h> to included files
	*gs/int.mak: Added rules for getopt.o and getopt1.o, missing $(XINCLUDE)
	and $(DPSINCLUDE)
	*gs/unixtail.mak: Added getopt.o and getopt1.o to build

2000-02-28  John Cigas  <cigas@acm.org>

	*gs/dgsagent.c: Added function (DGS_get_current_display) and
	(DGS_current_device_is_x11) for hiding xdev structure. Added function
	(DGS_free_x_fonts) to simplify proc_agent_finalize. Added 
	(DGS_get_primary_device) and (DGS_set_primary_device) to simplify
	gsdpsx_conn_info.
	*gs/dgsconn.c: Added private type DGS_stream_write_cursor to
	hide real stream_write_cursor type.
	*gs/dgsdps.c: Eliminated use of xdev and igs.
	*gs/dgsserve.c: Eliminated need for including gx.h
	*gs/dgsstrm.c: Eliminated use of xdev and igs. Use
	DGS_stream_write_cursor in call to buf_input_forward.
	*gs/gsdpsx.c: Moved all functions to dgsagent.c

2000-02-24  John Cigas  <cigas@acm.org>

	* gs/dgs.c (main): Call args_get_port() to parse one command line
	argument for "tcp/N" which is sent when client library tries an
	autolaunch.
	

2000-02-20  John Cigas  <cigas@acm.org>

	* gs/gsdpsx.c: Partitioned into files -- dgsserve.c,  dgsagent.c,
	dgsconn.c,  dgsdps.c,  dgsmisc.c,  dgsstrm.c, and gsdpsx.c
	with corresponding .h header files.
	* gs/dgs.c: New main program that replaces gs.c in the build.
	* gs/interp.c, interp.h: Now has all the ticks_left_* functions 
	* gs/int.mak, gs/unixtail.mak: Modify to use new files
	* gs/zdpsx.c: Removed zstartXdpsagent operator
	* Makefile.in, configure.in, configure: Executable now named
	dpsnx.agent instead of dgs. Old shell script dpsnx.agent is
	no longer needed.
	
2000-02-05  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (dpscap_ConnSetup_display): Don't free env_pair.
	The bug reported by 
	Hideki Fujimoto <hideki70@osk2.3web.ne.jp>
	Panos Katsaloulis <teras@writeme.com>
	Dennis Leeuw <dleeuw@made-it.com>
	Hugues Talbot <Hugues.Talbot@cmis.CSIRO.AU>

2000-01-24  Adam Fedor  <fedor@gnu.org>

	* FAQ, STATUS: Include note about dgs containing a special
	version of Ghostscript with the GNU license.

2000-01-22  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gsdpsx_std_read_process): Move the
        `(ticks_left_value() == (reschedule_interval - 1))' if block
        to top level in this function.
        This block was sub block of
        `(cpsid != conn->context_state_index_last)'.

2000-01-20  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* move gs_dpsx.ps from "dgs-psfiles" to "dgs"
	which is not included in GhostScript.
	* add ${prefix}/share/aclocal directory
	(including path_dps.m4) to "devel" package.

2000-01-17  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* dgs.spec.in (%changelog): Fix a typo. 1999->2000.

2000-01-11  Adam Fedor  <fedor@gnu.org>

	* Version 0.5.9
	* ANNOUNCE, INSTALL, NEWS, README, TODO: Update.
	* configure, configure.in: Likewise.

2000-01-12  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* dgs.spec.in (CFLAGS): 
	* configure.in (glib_exec_prefix): 
	(glib_exec_prefix): Pass glib related arguments of
	configure to dgs.spec.

	* dgs.spec.in: Solve the files that conflict with
	files of gs5.50.
	
2000-01-10  Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>

	* gs/gsdpsx.c (conn_server_create): set umask and set
	drwxrwxrwt mode for .DPSNX-unix directory by force.

2000-01-07  Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>

	* gs/gsdpsx.c: added missing allow_severity, deny_severity
	variables for tcp_wrappers.

	* configure.in: check syslog.h existence.

2000-01-06  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	Update conn->context_state_index_last.

2000-01-05  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* configure.in: Improve tcp wrapper related libraries
	checking. (Patch from Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>).

2000-01-02  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/interp.c (interp): Remove debug printf.

2000-01-01  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/interp.c (interp): Added new constant gc_ticks_val.
  	This constant specifies when the gc runs. This is set -20
 	now. This was set -100. However I think -100 is too small to
 	make GC run properly. For some clients -20 is still to
 	large.  Therefore a variables slice_counter and a constant
 	slice_counter_max are also added. slice_counter counts how
	many times the execution is reached to `slice:' label. If
	slice_counter > slice_counter_max, GC runs.
	
1999-12-28  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* dgs.spec.in: Change the Vendor, Distribution and Packager.

1999-12-27  Shirasaki Yasuhiro  <yasuhiro@gnome.gr.jp>

	* gs/gsdpsx.c
	* gs/unix-gcc.mak.in
	* configure.in: Added tcp_wrappers support.

1999-12-28  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* Makefile.am (SUBDIRS): Added doc.
	(dgs.spec): Added dependency.
	(EXTRA_DIST): Addd Version, ANNOUNCE, FAQ, NOTES, STATUS,
	dpsnx.agent.1 and rpms.mak.
	(dist-hook): Removed.
	Inclue rpms.mak.
	
	* configure: Regenerated.

	* */Makefile.in: Likewise.
	
	* configure.in: Expand search path to find jpeg, png and 
	zlib.
	(AC_ARG_RPM_PREFIX): Added macro to generate rpm automatically.
	
	* dgs.spec.in (%define): Use run_config_date as rel.
	Set @rpm_prefix@ to prefix.
	(%install): Don't mv manual.
	(%files): Fix a typo. Replace dgs-spec with dgs-config.
	
	* doc/Makefile.in (DIST_FILES): Remove ADVERTISEMENT.
	Added ORIG_FILES.
	(distdir): New target.

	* rpms.mak: New file.

1999-12-27  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/unix-gcc.mak.in: Include maint.mak.

	* gs/maint.mak: New file.

	* path_dps.m4 (AC_PATH_DPS_GUESS): Invoke dgs-config.
	(AC_PATH_DPS): Check dgs-config.

1999-12-26  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* dgs.spec.in (%files): Remove /usr/bin/dvipdf.
	Added /usr/bin/dgs-config.

	* .cvsignore: Added dgs.spec dgs-config.

	* configure.in (AC_OUTPUT): Added dgs-config.

	* Makefile.am (BUILT_SORUCES): 
	(bin_SCRIPTS): Added dgs-config and dgs-config.in.
	(man_MANS): Added dpsnx.agent.1, a manual stub.

1999-12-25  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c: Initialize some uninitialized variables.

1999-12-01  SHIRASAKI Yasuhiro  <yasuhiro@awa.tohoku.ac.jp>

	* gs/gp_unifs.c, gs/gp_unix.c, gs/gsdevice.c, gs/gxdevice.h, gs/gp.h:
	remove unused gp_open_scratch_file(), gp_open_printer(),
	gp_close_printer(), gx_device_open_output_file()

1999-12-25  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/dgs.1: New file.

	* gs/unixinst.mak (install-scripts): Remove 
	gsbj gsdj gsdj500 gslj gslp gsnd
	bdftops dvipdf font2c printafm wftopfa from ths scripts 
	list.
	(MAN1_PAGES): Remove gs pdf2dsc pdf2ps ps2ascii ps2epsi ps2pdf ps2ps
	from the man pages list. Add dgs.
	(install-data): Added dgs.1 to dependency list. Remove gs.1.
	(install-data): Don't install *.upp.

1999-11-30  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/zcontext.c (reschedule_interval): Set the value to 200.
	Declare as global scope variable.

	* gs/gsdpsx.c (gsdpsx_std_read_process): Declare reschedule_interval.
	Yield if the reason of context switching is ticks 
	consumption.
	(dpscap_Notify_sync): 
	(gsdpsx_std_write_process): 
	(status_send): Added print statements for debugging.

1999-11-29  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gs_startXdpsagent): Check whether the X server is
	alive or not.
	(dpscap_ConnSetup_display): Use putenv instead of setenv for
	portability.

1999-10-28  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* path_dps.m4 (AC_CHECK_DPS_NXAGENT): Added -lpsres.
	(AC_PATH_DPSET): 

1999-10-26  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/unix-gcc.mak.in (XCFLAGS): Apply a patch 
	from SHIRASAKI Yasuhiro<yasuhiro@awa.tohoku.ac.jp>.
	Pass @CFLAGS@.

1999-10-22  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* Makefile.am (EXTRA_DIST): Added path_dps.m4 and
	install it. The file comes from gtkDPS.

1999-10-21  Adam Fedor  <fedor@gnu.org>

	* ANNOUNCE, docs/announce.tmpl.texi, Version: Fix up ftp directories.

1999-10-13  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gsdpsx_std_write_process): Move data 
	invariant code out of loop.

	* gs/zcontext.c(reschedule_interval): Use INT_MAX.
	Include limit.h.

1999-10-13  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (debug_print_pid): Renamed from util_print_pid.
	(proc_agent_start): close in_sock in parent process. Suggested
	by SHIRASAKI Yasuhiro<yasuhiro@awa.tohoku.ac.jp>.
	
1999-10-12  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (proc_agent_setup_window): Removed XCloseDisplay
	again. 

1999-10-05  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* configure.in (OTHER_MAKEFILES): Generate dgs.sepc.

	* Makefile.am (dist-hook): Added dgs.spec to the
	distribution. (stolen from gtk+).
	(EXTRA_DIST): Added dgs.spec.in.

	* dgs.spec.in: New file.
	(written by Christopher Seawood <cls@seawood.org>).
	

1999-10-03  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gsdpsx_std_read_process): 
	(gsdpsx_std_read_process): 
	(status_send): Check the xdev is X11 device
	instead.
	(gx_device_is_x11): New macro.

1999-10-03  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gsdpsx_std_read_process): 
	(gsdpsx_std_read_process): 
	(status_send): Check the xdev is not null device.

	John Cigas <cigas@acm.org> helps me to debug.
	
1999-10-02  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (proc_agent_setup_window): Added XCloseDisplay.

1999-09-20  Adam Fedor  <fedor@gnu.org>

	* Version 0.5.8
	* INSTALL, ANNOUNCE, configure.in: Update

1999-09-18  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gs_startXdpsagent): Added more help messages.
	(proc_agent_start): If recv system call is interrupted
	by signal, re enter the system call.

1999-09-17  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/zmatrix.c (zsetdefaultmatrix): Add the offsets back into the
	ctm matrix.
	(zcurrentmatrix): Simplify offsets hacking.

1999-09-16  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c: (server_agent_pids): New variable.
	(proc_agent_control):
	(proc_server_control): Renamed from proc_agent_debug and
	proc_server_debug.
	(proc_server_control_pids): 
	(proc_agent_control_ppid_print): 
	(proc_agent_control_ppid): New functions.

1999-09-15  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c(server_agent_counter):  Renamed from agent_counter.
	(proc_server_wait_agent): 
	(proc_agent_start): Record and  erase agent's pid.

1999-09-14  Adam Fedor  <fedor@gnu.org>

	* gs/zmatrix.c (zsetmatrix): Add the offsets back into the
	ctm matrix.

1999-09-15  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gdevx.c (xdev_gstate_willchange): Use C style comment instead
 	of C++ style comment.

	* gs/gsdpsx.c (dps_GiveInput): Remove declaration of 
	ticks_left_set. It is not used in dps_GiveInput.
	(gsdpsx_stdin_open): Use C style comment instead of 
	C++ style comment.

	Applied patch from 
	SHIRASAKI Yasuhiro<yasuhiro@awa.tohoku.ac.jp>.

	* gs/zgstate.c(int_gstate_alloc): Added function prototype
	declaration.

1999-09-14  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (proc_server_wait_agent): Use waidpid instead
	of wait3. This modification is suggested by
	SUZUKI Toshiya<suzukis@file.phys.tohoku.ac.jp>.
	
	Include types.h before wait.h.
	
1999-09-09  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (dpscap_Notify_pause): Send the agent status,
	PSFROZEN.
	(gsdpsx_std_read_process): Send the agent status, PSNEEDSINPUT
	if the input data is not available.
	(gsdpsx_std_read_process): Send the agent status, PSRUNNING
	if the input is available.
	(gsdpsx_std_write_process): Unify if xdev guard block.
	(dps_NotifyContext_interrupt): Rename local variable from cpsids
	to cpsids.
	(dps_NotifyContext_interrupt): Send the agent status, PSZOMBIE.
	(util_status_enum2str): New function.
	(status_send_if_masked): 
	(status_send): 
	(status_to_mask): 
	(status_to_mask): New functions.

1999-09-08  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/unix-gcc.mak.in (GENOPT): Added VERSION and GS_VERSION.

	* gs/gsdpsx.c (gsdpsx_conn_info_s ): Added new fields
	cpsid_to_mask_table, cpsid_to_nextMask_table.
	(proc_agent_start): Initialize new fields.
	(proc_agent_finalize): Destroy new fields.
	(dps_GetStatus): Implementated.
	(dps_GetStatus_reply): New function.
	(dps_SetStatusMask): Implemented.
	(dps_SetStatusMask_dump): New function.
	(gs_startXdpsagent): Print debug information.
	Added version option.

1999-09-07  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (dpsx_ChangeGC): New function.
	(read_process_handle): Call dpsx_ChangeGC.
	(DUMP_TODO_MESSAGE): Remove definition. Use
	DGS_DEBUG instead.
	(proc_agent_finalize): Destroy tables.
	(dps_XIDFromContext): Check swapped length.
	Swap cpsid.
	(dps_ContextFromXID): Likewise.
	(dps_CreateSecureContext): Return swapped value.
	(dps_NotifyWhenReady): Likewise.
	(dps_CreateContextFromXID_reply): New function.
	(dps_CreateContextFromID): Implemented.
	(dpscap_SetArg): Put better stub.

1999-09-06  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	Applied a patch sent from 
	SHIRASAKI Yasuhiro<yasuhiro@awa.tohoku.ac.jp>.

	* gs/int.mak ($(PSOBJ)zmatrix.$(OBJ)): Added $(XINCLUDE).
	
1999-09-06  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (DUMP_TODO_MESSAGE): New definition.
	(DPS/XDPS.h): Include.
	(gsdpsx_conn_info_s ): New field kill_cpsids_set.
	(dpscap_Notify): Take a new argument `sched_act'.
	(gs_startXdpsagent): Print help.
	(proc_agent_start): Initialize kill_cpsids_set.
	(proc_agent_finalize): Free fonts(codes from x_close).
	Close display.
	(gsdpsx_std_read_process): If the context should be killed,
	put a yield operator.
	(read_process_handle): Pass `sched_act' to 
	dps_NotifyContext().
	(gsdpsx_std_write_process): Use CONTEXTID instead of int.
	(dps_GiveInput): Likewise.
	(dps_XIDFromContext): Likewise.
	(dps_NotifyContext_interrupt): 
	(dps_NotifyContext_unfreeze): 
	(dps_DestroySpace): New functions.
	(dps_NotifyContext_kill): Call new functions.
	
	* gs/gdevx.c (x_close): Don't free fonts if gs runs as
	dgs.

1999-09-05  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/zmatrix.c: Include x_.h, gxdevice.h, gdevx.h.
	(write_matrix_with_offset_truncation): New function.
	(zdefaultmatrix): Use write_matrix_with_offset_truncation.
	(zcurrentmatrix): Subtract offsets from CTM tx and ty.

	* gs/zdpsx.c (zcurrentXgcdrawable): 
	(zsetXgcdrawable): 
	(zcurrentXoffset): 
	(zsetXoffset): Set and get offsets.
	Don't set CTM tx and ty.

	* gs/gsdpsx.c (struct ctx_init_parameter ): 
	(dps_CreateContext): 
	(ctx_init_parameter_install): Rename fields tx and ty to 
	offset_x and offset_y.
	(args_get_match):
	(args_get_int): New functions.
	(args_get_debug): Use args_get_int.
	(ctx_init_parameter_install): Set matrix tx and ty to zero.
	Set offsets.

	* gs/gsdpsx.h(gsdpsx_get_offset): 
	(gsdpsx_set_offset): New functions.

1999-09-04  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (proc_agent_start): Invoke 
	gsdpsx_set_primary_context_index().
	(detach_op_data): 
	(detach_op_length): New constants.
	(fork_op_data): Type to byte.
	(scheduling_action::SCHED_ACT_DETACH): New item.
	(dpscap_Notify_pause_check): Take two new arguments.
	Check specified context if requested.
	Wait an event if requested.
	return Bool value. 
	(dpscap_Notify_pause): Chech only the specified context.
	(gsdpsx_std_read_process): Use SCHED_ACT_DETACH never to
	switch to the primary context.
	Invoke dpscap_Notify_pause_check() before creating 
	a new context.
	If there is no context to switch, wait a resume event.
	(read_process_input_forward): Added behavior case when
	SCHED_ACT_DETACH. Added the default behavior.
	(buf_dump): New function.
	(buf_input_forward): Invoke buf_dump to get binary objects
	sequence.
	(gsdpsx_std_read_process): Print debug information only
	if DGS_DEBUG is not zero.

	* gs/zcontext.c (gsdpsx_newest_context_index): Replace
	the variable modifier `static' with `private'.
	(gsdpsx_prim_context_index): New variable.
	(gsdpsx_set_primary_context_index): New function.
	(requested_context_check): Check CTXT is the primary 
	context.

1999-09-03  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (GSList): New type.
	(g_set_add): 
	(g_set_count): 
	(g_set_foreach): 
	(g_set_member): 
	(g_set_remove): New functions.
	(gsdpsx_conn_info_s::pause_cxids_set): New field
	(proc_agent_start): Initialize teh new field `pause_cxids_set'.
	(dpscap_Notify): Take the forth argument `sched_act'.
	(dpscap_Notify_pause): Likewise. 
	Don't invoke XIfEvent directly.
	(gsdpsx_std_read_process): Invoke buf_pack only
	if sched_act == SCHED_ACT_NOTHING.
	New local variable cxid.
	Remove `#if 0' block.
	Check resume event(dpscap_Notify_pause_check).
	
	(dpscap_Notify_pause_check_callback_set):
	(dpscap_Notify_pause_remove): New functions.
	(dpscap_Notify_pause_check_callback_x): Renamed from
	dpscap_Notify_pause_callback. 
	Casting `arg' to CONTEXTID not int.

	
	* gs/zcontext.c (reschedule_interval): Set 200 if DGS.
	(ctx_reschedule): Remove kludge for DGS.

1999-09-02  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/zcontext.c (gsdpsx_count_ready_context): New function.

	* gs/gsdpsx.c (read_process_try): New function.

	* gs/zcontext.c (ctx_reschedule): Added reschedule_interval
	to ticks.

	* gs/gsdpsx.c: Don't include X11/Xlibint.h.
	Include errno.h.
	
1999-09-01  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (ctx_init_parameter_install): Added initclip
	after initmatrix.
	(dps_*): Check byte order.
	(dpscap_Notify): Cache the result of
	util_byteorder_check().
	(dps_CreateContext): Likewise.
	(read_process_handle): Use temporary variable `length'.
	
	* gs/gs_dpsx.ps(pmarker): Removed.
	(setcontext): Removed.
	
	* gs/zdpsx.c (zcurrentXgcdrawable): Return tx and ty.

1999-08-31  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (buf_finalize): Fix the name of function
	that calls gs_free.
	(dpscap_ConnSetup_reply_success): Use htonl to set
	value for serverVersion.

1999-08-26  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (dpscap_ConnSetup): Use ntohs instead of
	ntohl to invert req->displayStringLength.
	(dpscap_ConnSetup): 
	(dpscap_ConnSetup_reply_failed): 
	(dpscap_ConnSetup_reply_success): 
	(dpscap_Notify): 
	(dpscap_Notify_sync): 
	(dpscap_FlushAgent): 
	(dpscap_SetArg): 
	(dps_CreateContext): 
	(dps_CreateContext_reply): 
	(read_process_handle): 
	(gsdpsx_std_write_process): 
	(dps_GiveInput): 
	(dps_XIDFromContext_reply): 
	(dps_ContextFromXID_reply): 
	(dps_SetStatusMask): 
	(dps_DestroySpace): Check the byte order and swap the
	data if needed.
	(gsdpsx_std_write_process): 
	(dpscap_Notify_sync): Change the event format.

	* dpsnx.agent.in: export DGS_ARGS after substitution.
	sh that runs on Digital UNIX doesn't accept
	export FOO=bar syntax. This modification is suggested
	by suzukis@file.phys.tohoku.ac.jp.
	
	* gs/gsdpsx.c (util_byteorder_check): New function.

1999-08-22  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (dps_CreateContext_reply): Use sizeof
	`r' instead of the type of r.
	(dps_XIDFromContext): Implemented.
	(dps_XIDFromContext_reply): 
	(dps_ContextFromXID_reply): New functions.
	(*)
	Use CONTEXTID instead of int.
	(dps_ContextFromXID): Implemented.

1999-08-11  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c: (ialloc.h): Include.
	(struct ctx_init_parameter ): New type.
	(ctx_init_parameter_install): 
	(ctx_init_parameter_initialize): New functions.
	(struct gsdpsx_conn_info_s): Remove fields;
	xdev, pgs, mem, minst, cxid, pid.
	Added fields; ctx_init_parameter,
	cxid_to_cpsid_table, cpsid_to_cxid_table,
	context_state_index_last, context_state_index_last,
	primary_device.

	(struct gsdpsx_context_info_s): 
	(MAX_CONTEXT):
	(gsdpsx_contextinfos):
	(current_context):
	(new_context): Removed.

	(gsdpsx_get_context_index):
	(gsdpsx_request_context_index):
	(gsdpsx_clear_newest_context): 
	(gsdpsx_get_newest_context_index): Added declarations.

	(yield_op_length): 
	(yield_op_data): 
	(fork_op_length): 
	(fork_op_data): New constant.

	(scheduling_action): New type.

	(dps_GiveInput): Take a new argument `sched_act'.

	(proc_agent_start): Initialize new fields of conn_info.

	(dpscap_ConnSetup): Don't set up device here.
	(dpscap_Notify_sync): Get current device here.
	(dps_CreateContext_matrix): Removed.

	(dps_CreateContext) Don't reply to client here.
	Don't set up  matrix here. Set up ctx_init_parameter here.
	Set sched_act here.
	(dps_CreateContext_reply): Take a new argument cpsid and send 
	cpsid to the client.

	(read_process_yield): Removed.
	(read_process_const): New function.
	(read_process_handle): Addes an argument `sched_act'.
	(read_process_input_forward): New function.
	(gsdpsx_std_read_process): Added code to force to switch context
	via stream. Get current device here. Check the sched_act
	in loop conditions. 
	Get current device here.
	Added `forward:' label at the end of function.

	(gsdpsx_std_write_process): Use real cxid.
	Get current device here.
	(dps_GiveInput): Added code to force to switch context
	via stream. Removed pseudo context switching code.
	
	* gs/zcontext.c (gsdpsx_clear_newest_context): 
	(gsdpsx_get_newest_context_index): 
	(requested_context_check): 
	(gsdpsx_request_context_index): 
	(gsdpsx_get_current_context_index): New functions.
	(set_newest_context_index): 
	(requested_context_index): New variables.
	(add_first): Removed.
	(ctx_reschedule): Check the context `ready' is requested or
	not.
	(ctx_reschedule): Added time to tick.
	(do_fork): Record the latest forked process index.

1999-08-01  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

        Applied a patch sent from SHIRASAKI Yasuhiro<yasuhiro@awa.tohoku.ac.jp>.
	* gs/unix-gcc.mak.in (XINCLUDE): Added replacement slot for
	configure. Don't use constant value. 

1999-08-01  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* configure.in (AC_OUTPUT): Comment out $OTHER_MAKEFILES.
	automake doesn't accept a variable in AC_OUTPUT.
	
1999-07-30  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c: Include glib.h.

	* configure.in: Check glib.

	* gs/unix-gcc.mak.in (GLIBINCLUDE): New variable.

	* gs/int.mak ($(PSOBJ)zdpsx.$(OBJ)): 
	* gs/lib.mak ($(GLOBJ)gsdpsx.$(OBJ)): Added GLIBINCLUDE.

1999-07-04  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (read_process_handle): New function.
	(buf_reset): New function.
	(buf_pack): Likewise.
	(buf_move_cursor): Likewise.
	(buf_input_forward): Likewise.
	(gsdpsx_std_read_process): Use new functions.
	Remove local variables. `tocopy' and `s'.
	(buf_recv): Take conn_info as the 2nd argument instead of 
	socket itself.

1999-07-03  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/zdpsx.c (zsetXoffset): Disable debug printing.
	(zsetXgcdrawable): Likewise.

	* gs/gdevx.c (gdev_x_set_drawable): Likewise.

1999-06-27 Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* gs/gsdpsx.c: Fix typo with patch by cls@seawood.org

1999-06-20  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c: Remove current_conn.
	(conn_info): Renamed from gsdpsx_conn_info.
	(gsdpsx_conn_buf_s): New structure.
	(conn_buf): New variable.
	(ticks_left): Use private instead of static.
	(util_x_cap_request_table): Likewise.
	(util_x_ps_request_table): Likewise.
	(buf_init): 
	(buf_recv): 
	(buf_input_length): 
	(buf_input_sanity_check): 
	(buf_finalize): New functions.

1999-06-20  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c: Added pseudo context switching mechanism.
	I'll throw away this mechanism. This in only a test!
	
	(dps_GiveInput): Store out and load in context data.
	(dps_CreateContext): Store out context data.

	(gsdpsx_context_info_s): New type.
	(gsdpsx_contextinfos):
	(current_context):
	(new_context): New variables.
	(MAX_CONTEXT): New macro.

1999-06-19  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c(util_x_ps_request_enum2str): 
	(util_x_cap_request_enum2str):
	(util_signal_int2str):
	(util_conn_type_enum2str):
	(util_print_pid): New name space util_*. Functions are
	renamed.
	
	(read_process_dump_unhandled):
	Renamed from gsdpsx_std_read_process_dump_unhandled_messages.

	(dpscap_Notify_pause_callback): Renamed from WaitForResumeProc.

1999-06-18  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/interp.c (interp): Remove `extern int ticks_left;'.

1999-06-17  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/zcontext.c (add_first): New function. Useful?

	* gs/gsdpsx.c (args_get_debug): New function.
	(DGS_DEBUG): Change to a variable from macro.
	(gs_startXdpsagent): Set DGS_DEBUG.

	* gs/gs_dpsx.ps(detach): Hide this op in comments.
	detach is defined in zcontext.c.

1999-06-15  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gs_dpsx.ps(currentcontext): Hide this op in comments.
	currentcontext is defined in zcontext.c.

1999-06-14  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (ticks_left_decrement): 
	(ticks_left_decrement): 
	(ticks_left_value): 
	(ticks_left_refer): New functions.

	* gs/interp.c (interp): Use and refer 
	ticks_left_set(), ticks_left_decrement(), ticks_left_value(),
	ticks_left_refer().

1999-06-13  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (ticks_left): New variable.

	* gs/interp.c (ticks_left): Removed.

1999-05-31  Adam Fedor  <fedor@gnu.org>

	* Version 0.5.7

1999-05-31  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

        * Memory management related changes!

	* gs/gsdpsx.c (proc_agent_start): Use gs_malloc instead of 
	gs_alloc_bytes.
	(proc_agent_finalize): Free message buffer.
	(proc_agent_start): Put 0 to message buffer before setup the signal
	handler.
	
	* gs/gsiodev.c (gs_findiodevice): 
	Patch been available at 
        http://www.cs.wisc.edu/~ghost/aladdin/relnotes/gs550/990220.txt 
	is applied.

	* gs/ireclaim.c (ireclaim): Remove `return 0' hack again.

	* gs/gsstate.c (gs_state_do_ptrs): 
	(gs_state_num_ptrs): Remove driver_data from entries.

	* gs/gdevx.c (xdev_gstate_alloc): Use gs_malloc instead of
	gs_alloc_bytes.
	(xdev_gstate_free): Use gs_free instead of gs_free_object.

1999-05-30  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (dpscap_ConnSetup): Send failed message to client.
	Check wrong byte order here.
	Cast the data to send to `const void *'.
	(dpscap_ConnSetup_reply_failed): New function.
	
1999-05-29  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

        * gs/gsdpsx.c: Include string_.h.
	(args_get): 
	(args_get_port): New functions.
	(conn_base_port_find): Renamed from conn_base_find.
	And check the dgs args to look up port.
	(conn_server_bind): Try to bind only once.
	(gs_startXdpsagent): Use single base port. 
	Get dgs args.
	Call conn_base_port_find only once.
	
	* dpsnx.agent.in (DGS_ARGS): New enviroment variable.
	Pass the port to dgs command via this variable.

1999-05-22  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gs_startXdpsagent): Set up signal handlers
	before calling select().
	(signal_int2str): Added SIGSEGV.
	(proc_agent_setup_signal): Handle SIGSEGV.
	(proc_server_setup_signal): Likewise.

1999-05-13  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c(shared_byteorder): New variable.
	(gs_startXdpsagent): Check the server side byteorder.
	(conn_atom_cleanup_window): New local variable, `found'.
	(conn_insock_accept): Refer in_sockaddr instead of &in_sockaddr.
	(dpscap_ConnSetup): Added a sample byteorder filter.
	(conn_hostname_get): Retrun hostname even if the connection
	is TCPCONN.
	(conn_atom_setup): Put win_tcp to billboard_atom before
	putting win_unix.

1999-05-12  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gs_startXdpsagent): if the server caught a 
	signal in select(2), ignore this.

1999-05-11  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (conn_atom_cleanup_window): New function.
	(proc_agent_start): If fork(2) is failed, do only return -1.
	pass cur[1] to x_ps_request_enum2str.
	Call x_cap_request_enum2str.
	(gs_startXdpsagent): Deal two socket, internet and unix domain.
	(proc_agent_finalize): Destory agent_window.
	(RETURN): Move out of the function.
	(dpscap_ConnSetup): Don't set sock.
	(dpscap_ConnSetup): Remove sock from arguments list.
	Remove agent win from arguments list.
	(gsdpsx_conn_info.pid): New field.
	(proc_server_finalize): Change the order of invocations of
	shutdown functions. return -1.
	(server_sockaddr_unix):
	(server_sockaddr_tcp): New variables.
	(resume_atom): is now field of gsdpsx_conn_info.
	(proc_agent_start): setup resume_atom.
	(proc_table_mask): Removed.
	(dps_CreateContext): Remove conn_atom_cleanup().

1999-05-10  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (proc_table_initialize): Removed.

1999-05-09  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (FORK_BASED_SERVER): Removed.

1999-05-02  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (print_pid): Remove `:' in the print message.
	(proc_agent_start): Use 'l' and 'B' instead of 0x42 and 0x6C.
	(gsdpsx_conn_info): Added new field `byteorder'.
	(proc_agent_start): Remove local variable, header.
	(proc_agent_start): New local variable `conn'.

1999-05-01  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (dpscap_ConnSetup): Invoke dpscap_ConnSetup_display
	to setup DISPLAY.
	(dpscap_ConnSetup_display): New function.
	(dpscap_ConnSetup_reply): New function.
	(dpscap_ConnSetup): Use dpscap_ConnSetup_display and dpscap_ConnSetup_reply.
	(dps_CreateContext_matrix): New function.
	(dps_CreateContext_reply): Likewise.
	(dps_CreateContext): Use dps_CreateContext_matrix and dps_CreateContext_reply.
	(gsdpsx_std_read_process_dump_unhandled_messages): New function.
	(dps_Init): 
	(dps_CreateSpace): 
	(dps_GetStatus): 
	(dps_Reset): 
	(dps_XIDFromContext): 
	(dps_XIDFromContext): 
	(dps_ContextFromXID): 
	(dps_CreateSecureContext): 
	(dps_NotifyWhenReady): New stubs.

	* gs/gsdpsx.c (gsdpsx_std_read_process): `if(!dealt_with)' remove ununsed
	condition guard.
	(x_cap_request_enum2str): New function.
	(x_cap_request_table): New constant.
	(gsdpsx_std_read_process): Change output message if x_ps_request_enum2str
	returns NULL.

1999-04-30  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c(agent_counter): New variable.
	(proc_agent_start): Take a new argument AGENT_NUMBER.
	(proc_agent_setup_window): New function to recreate the main win.
	(gs_startXdpsagent): Pass `agent_counter' to proc_agent_start.
	(proc_agent_start): Recreate the main win.
	(agent_win): New variable.
	(proc_agent_start): Use agent_win instead of main_win.
	(proc_agent_setup_window): `tmp' is Renamed to `tmp_win'.
	(WaitForResumeProc): Use agent_win.
	(dpscap_ConnSetup): Likewise.
	(*) main_win is renamed  to server_win.
	(*): main_dpy is renamed to shared_dpy. 
	This is not good name.
	(dpscap_FlushAgent): 
	(dpscap_SetArg): New stubs.

1999-04-28  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (dpscap_Notify_grab): 
	(dpscap_Notify_freegc): 
	(dpscap_Notify_freegc): 
	(dpscap_Notify_sync): 
	(dpscap_Notify_pause): New functions.
	(dpscap_Notify): Split into some functions.

1999-04-26  Adam Fedor  <fedor@gnu.org>

	* configure.in (gs/Makefile): Like from unix-gcc.mak and create
	unix-gcc.mak from unix-gcc.mak.in.
	* gs/unix-gcc.mak.in (mandir, datair): Get values from configure.

	* doc/install.tmpl.texi: Update.

1999-04-24  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (print_pid): New function.

1999-04-24  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/unix-gcc.mak.in (FEATURE_DEVS): Added dpsnext.dev.

	* (unix-gcc.mak): Remove from the CVS repository. The file
	is generated from unix-gcc.mak.in.
	
	* (gs/.cvsignore): Add unix-gcc.mak.
	
	* gs/gsstate.c (gstate_copy): Alloc a space for copying
	driver data. With this modification, 
	a PS program, `mark { (xxx) print } fork' runs well.

1999-04-22  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/ireclaim.c (ireclaim): Retrun 0 again.
	There is still problems in memory management.

	* gs/unix-gcc.mak.in ($(AK)): Remove dependency to 
	GLGENDIR. Check the GLGENDIR in  $(AK)' actions 
	statement instead.

1999-04-20  Adam Fedor  <fedor@gnu.org>

	* configure.in: Check for png an z libraries already installed.
	* gs/unix-gcc.mak.in (SHARE_PNG, SHARE_ZLIB): Use them if found.
	Use configured value of bindir.
	* gs/unixinst.mak: Make (empty) fonts directory.

	* doc/install.tmpl.texi: Update.

1999-04-17  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (proc_agent_finalize): Close socket.

1999-04-16  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c: Include icstate.h and icontext.h.

1999-04-14  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* */.cvsignore: Added .deps.

	* DPS/*.cvsignore: Added libtool.

	* gs/gsdpsx.c (signal_int2str): New function for debugging.
	(proc_agent_finalize): Don't destroy the window.
	Don't close display.
	(proc_agent_finalize): If DGS_DEBUG mode is on, print
	debug messages.
	(proc_server_finalize): Likewise.
	(proc_server_finalize): Change the invocation order of procedures
	in proc_server_finalize.
	(proc_process_start): Added new local variable.
	(proc_server_wait_agent): Renamed from proc_process_end.
	(proc_agent_start): Renamed from proc_agent_start.
	(proc_server_debug): 
	(proc_agent_debug): New functions.
	(proc_agent_setup_signal): 
	(proc_server_setup_signal): New functions.
	(gsdpsx_std_read_process): Print DPSX message as a string.

1999-04-13  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (DGS_DEBUG): New definition.

	* .cvsignore: Added fonts dir.

1999-04-12  Adam Fedor  <fedor@gnu.org>

	* configure.in: Add check for tiff,jpeg, etc in curent dir.

	* gs/gsdpsx.c (proc_process_start): Use POSIX signal SIGCHLD.
	(proc_process_end): Likewise.

	* Version (DGS_SUBMINOR_VERSION): Change  to 6

	* Redo configuration and makes to add maintainer mode.
	* configure.in: Use AC_PROG_INSTALL
	* DPS/configure.in: Add AM_MAINTAINER_MODE
	* aclocal.m4: Likewise.

Thu Apr  8 04:07:49 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (FORK_BASED_SERVER): New definition.
	(conn_atom_cleanup): New function.
	(agent_finalize): New function.
	(proc_server_finalize): New function.
	(server_socket, sockaddr): Make them in-file global.
	(proc_process_start): Trap SIGHUP, SIGINT.

Tue Apr  6 07:50:38 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gsdpsx.c: Include gsexit.h.
	(gs_startXdpsagent): Accept 5 clients.

Tue Apr  6 05:51:06 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gsdpsx.c (x_ps_request_enum2str): Make returning valus const.

Tue Apr  6 00:08:03 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (conn_insock_accept): New function.
	(switch_process_start): New function.

Mon Apr  5 23:46:26 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gs_startXdpsagent): Rename sock to sockaddr.

Mon Apr  5 22:45:25 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (gs_startXdpsagent): Use XDPSNX_MAX_WILLINGNESS.
	(gs_startXdpsagent): Use transport_info instead of info.
	(atom_setup): Move all atom related function invocations to here.

Mon Apr  5 21:01:16 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (x_ps_request_table): Make this const.
	(x_ps_request_enum2str): Make this private. 
	(GSDPSX_CONN_MAX): New definition.
	(conn_*): New functions.
	(sockaddr_abst): New definition.
	(XDPSNX_TRANS_ABST): New definition.

Sun Apr  4 14:55:47 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/gsdpsx.c (dps_CreateContext): Use x and y field in the request
	to initialize the device matrix.

	* */.cvsignore: Added many files.

Sat Apr  3 08:22:31 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/Makefile.in ($(GLGENDIR)): Added new target to create obj dir.
	This might be wrong solution. See unix-end.mak.
	This target should be removed in thre future.

	* gs/unix-gcc.mak.in ($(GLGENDIR)): Likewise.
	
	* gs/gsdpsx.c: (dps_DestroySpace): New stub.
	(dps_NotifyContext): Likewise.
	(dps_DestroySpace): Likewise.
	(gsdpsx_std_read_process): Switch the order of X_PSGiveInput 
	and X_PSCreateContext.

1999-03-30  Adam Fedor  <fedor@gnu.org>

	* configure.in: Add AM_MAINTAINER_MODE to turn off maintainer
	functions in Makefile by default.

	* Updated documentation.

1999-03-26  Adam Fedor  <fedor@gnu.org>

	* Makefile.am: New file for automake
	* aclocal.m4: Likewise.
	* missing: Likewise.
	* Makefile.in: Regenerated from automake

	* configure.in: New macros for automake. General better testing.

	* dpsnx.agent.in: Removed check for dgs in
	GNUSTEP_SYSTEM_ROOT. Modified dgs installation directories.

	* DPS/lib/dps/csstartNX.c (TryTCP): PowerPC apparently has same
	bug as Ultrix (getservbyname segfaults when service isn't listed).

	* gs/gsdpsx.c (gs_startXdpsagent): I get 0x42 back from the recv
	buffer. I don't know why. Still seems to work...

	* gs/unix-gcc.mak.in: New file from unix-gcc.mak. Don't make changes
	to unix-gcc.mak (Probably should remove it).
	* gs/unix-end.mak (GENOPT): Keep other GENOPT flags, like
	DISPLAYGHOSTSCRIPT when addin -DDEBUG for debugging.

	* Removed outdated (4.03) files:
	NEWS PUBLIC README acctest.ps align.ps alphabet.ps
	ansihead.mak bc.mak bcflags.mak bclib.mak bcwin.mak bdftops.ps
	bseq.h bug-form.txt c-style.txt caption.ps cbjc600.ppd
	cbjc800.ppd cc-head.mak cheq.ps chess.ps colorcir.ps
	commprod.txt current.txt decrypt.ps devices.txt dgc-head.mak
	dll.txt docie.ps dodebug.h drivers.txt dwcommon.mak escher.ps
	font2c.ps fonts.txt gcc-head.mak gdev3852.c gdev3b1.c
	gdev4081.c gdev4693.c gdev8510.c gdev8bcm.h gdevadmp.c
	gdevbgi.c gdevbit.c gdevbj10.c gdevbmp.c gdevccr.c gdevcdj.c
	gdevcgm.c gdevcgml.c gdevcgml.h gdevcgmx.h gdevcif.c
	gdevcp50.c gdevdfax.c gdevdjet.c gdevdjtc.c gdevepsc.c
	gdevepsn.c gdevescp.c gdevevga.c gdevherc.c gdevht.c gdevht.h
	gdevimgn.c gdevl256.c gdevlbp8.c gdevmgr.c gdevmiff.c
	gdevn533.c gdevnp6.c gdevo182.c gdevokii.c gdevpbm.c
	gdevpccm.h gdevpcfb.c gdevpcfb.h gdevpcl.c gdevpcl.h gdevpcx.c
	gdevpdf.c gdevpdfp.c gdevpdfx.h gdevpe.c gdevpfax.c gdevpjet.c
	gdevprn.c gdevprn.h gdevpsim.c gdevrrgb.c gdevs3ga.c gdevsco.c
	gdevsgi.c gdevsj48.c gdevsnfb.c gdevsppr.c gdevstc.c gdevstc.h
	gdevstc1.c gdevstc2.c gdevstc3.c gdevstc4.c gdevsun.c
	gdevsvga.c gdevsvga.h gdevtfax.c gdevtfnx.c gdevtifs.c
	gdevtifs.h gdevtknk.c gdevvglb.c golfer.ps gp_itbc.c
	grayalph.ps gs_pdf.ps gsdll16.def gsdll16.rc gsjerror.c
	gsjerror.h gsjpglib.h gslp.ps gxcache.h gxclbits.c gxcldev.h
	gxclfile.c gxclimag.c gxclist.c gxclmem.c gxclmem.h gxclpath.c
	gxclpath.h gxclread.c gximage.c gximage0.c gximage1.c
	gximage5.c helpers.txt hershey.txt history1.txt history2.txt
	history3.txt humor.txt impath.ps install.txt iscantab.c
	landscap.ps language.txt level1.ps lib.txt lines.ps make.txt
	markhint.ps markpath.ps msc.mak msvcwint.mak new-user.txt
	overlay.h packfile.ps pcharstr.ps pdf2dsc pdf2dsc.1 pdf2dsc.ps
	pdf2ps pdf2ps.1 pdf2ps.bat pdf_2ps.ps pdf_base.ps pdf_draw.ps
	pdf_font.ps pdf_main.ps pdf_sec.ps pfbtogs.ps ppath.ps
	prfont.ps printafm.ps ps2ai.ps ps2ascii ps2ascii.1
	ps2ascii.bat ps2ascii.ps ps2epsi ps2epsi.1 ps2epsi.bat
	ps2epsi.ps ps2epsi.txt ps2image.ps ps2pdf ps2pdf.1 ps2pdf.bat
	ps2pdf.txt psfiles.txt pstoppm.ps public.txt quit.ps
	rollconv.ps sfile.c sfileno.c showchar.ps showpage.ps
	snowflak.ps stcinfo.ps stcolor.ps szlibc.c szlibd.c szlibe.c
	tar_cat tar_gs tar_mv tar_uncat tc.mak tccommon.mak tctail.mak
	tiger.ps traceimg.ps traceop.ps type1enc.ps type1ops.ps
	unix-lpr.txt unprot.ps use.txt viewcmyk.ps viewgif.ps
	viewjpeg.ps viewpbm.ps viewpcx.ps viewps2a.ps vms-cc.mak
	vms-decc.mak vms-gcc.mak vms.mak watcwin.mak waterfal.ps
	wftopfa.ps winmaps.ps wrfont.ps xfonts.txt zdevice2.c
	zdouble.c zeroline.ps zfdctc.c zfzlib.c zmedia2.c zrop.c
	zwppm.c

Wed Mar 17 02:44:21 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/ireclaim.c (ireclaim): Remove return 0 hack.

	* gs/igstate.h(int_gstate_alloc): Comment out the declaration.
	Must be inspect again in the future.
	
Wed Mar 17 02:03:43 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/istruct.h: Include iref.h.
	* gs/igstate.h: Include iref.h.
	To avoid compile TIME error. These are temporary code.
	Must be inspect again in the future.

Wed Mar 17 02:01:03 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gsstate.c:
	* gxstate.h: 
	* gzstate.h:
	* ireclaim.c: 
	Applied x11 driver data parts of BALATON Zoltan's<balaton@eik.bme.hu> patch.
	
Wed Mar 17 01:59:32 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gdevx.c:
	* gdevx.h: 
	* gdevxini.c:
	* gdevxxf.c: 
	Applied x11 device parts of BALATON Zoltan's<balaton@eik.bme.hu> patch.
	
Fri Mar 12 07:25:21 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/int.mak:
	* gs/lib.mak:
	* gs/unix-gcc.mak:
	* gs/unixansi.mak:
	* gs/unixinst.mak:
	Applied makefiles parts of BALATON Zoltan's<balaton@eik.bme.hu> patch.

Fri Mar 12 07:04:29 1999  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* gs/zdpsx.c:
	* gs/gsdpsx.h:
	* gs/gsdpsx.c:
	* gs/gs_dpsx.c:
	Applied server parts of BALATON Zoltan's<balaton@eik.bme.hu> patch.

Mon Dec  7 09:18:43 1998  Adam Fedor  <fedor@doc.com>

	* DPS/clients/makepsres/makepsres.c: Add FreeBSD ifdef.
	* Makefile.in: Use correct install script.
	* gs/unix-gcc.mak: Likewise. FreeBSD Patches from Stefanos Kiakas
	<stefanos@ringworld.uniscape.com>.

Fri Nov  6 11:40:00 1998  RichardFrith-Macdonald <richard@brainstorm.co.uk>

	* gs/gdevxxf.c: Hack to make better attempt at finding a suitable X
	font to display.

Tue Jan 30 01:32:14 2007  Scott Christley  <scottc@net-community.com>

	Rearranged the directory structure moving the image libraries
	up a directory to be a sibling with dgs.
	* dgs/Makefile.in: Change for new directory structure.
	* dgs/configure.in: Likewise.
	* dgs/configure: Regenerate.
	* zlib/Makefile.in:
	* png/Makefile.in:

	* dgs/Version: Update.
	* dgs/doc/announce.tmpl.texi: Update.
	* dgs/doc/install/tmpl.texi: Update.
	* dgs/doc/news.tmpl.texi: Update.
	* dgs/doc/readme.tmpl.texi: Update.
	* dgs/doc/status.tmpl.texi: Update.
	* dgs/doc/todo.tmpl.texi: Update.
	* dgs/ANNOUNCE: Regenerate.
	* dgs/INSTALL: Regenerate.
	* dgs/NEWS: Regenerate.
	* dgs/TODO: Regenerate.

	* dgs/doc/Makefile.in: Generate STATUS and put in top dir.
	* dgs/STATUS: New file.

Sun Jan 11 14:17:05 1998  Scott Christley  <scottc@net-community.com>

	* Version: Update.
	* doc/install.tmpl.texi: Update.
	* doc/news.tmpl.texi: Update
	* ANNOUNCE: Regenerate.
	* INSTALL: Regenerate.
	* NEWS: Regenerate.

	* configure.in: Correct if statement.
	* configure: Regenerate.

	* dpsnx.agent.in: Run DGS from either the GNUstep directory
	structure or the normal bin directory.

Sun Jan 11 13:43:06 1998  Scott Christley  <scottc@net-community.com>

	* gs/dpsnx.agent.in: Move to up one directory.
	* Makefile.in: Add rules to build and install dpsnx.agent.
	* configure.in (bindirtop): Where dpsnx.agent is installed.
	* configure: Regenerate for configure.in changes.
	* gs/unix-end.mak: Eliminate install/uninstall of dpsnx.agent.
	* gs/unix-cc.mak: Regenerate for change to unix-end.mak.
	* gs/dvx-gcc.mak: Likewise.
	* gs/unix-gcc.mak: Likewise.
	* gs/unixansi.mak: Likewise.

	* gs/gsdpsx.c (gs_startXdpsagent): Get rid of TCP buffering.

Thu Sep 25 11:36:04 1997  Scott Christley  <scottc@net-community.com>

	* Modifications to support the GNUstep makefile package.
	* Makefile.in: Use libdir instead of gnustep libdir.
	* gs/dpsnx.agent.in: Use correct environment variable.
	* gs/gcc-head.mak: Use libdir instead of gnustep libdir.
	* gs/unix-gcc.mak: Regenerate for change to gcc-head.mak.
	* gs/dvx-gcc.mak: Likewise.

	* gs/gconfxx.h: Delete file as its regenerated automatically.

Wed Jul 30 13:39:56 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* configure.in: Set the executable attributes to dpsnx.agent in
	AC_OUTPUT.
	* DPS/clients/makepsres/makepsres.c: Include <sys/dir.h> on NeXT
	systems. Exclude the definition of sys_errlist on some systems
	(patches from Gregor Hoffleit and David Wetzel).
	* DPS/clients/makepsres/makepsres.c (ProcessDirectory): Use `direct'
	structure instead of `dirent' on NeXT systems.
	* DPS/examples/line/LineMain.c (main): Call XDPSNXSetClientArg()
	instead of searching for DPS extension in the X server.
	* DPS/lib/dps/csfindNX.c: Initialize some global variables to default
	values to make possible building libdps as shared library on OPENSTEP
	systems.
	* DPS/lib/dps/dpsclient.c: Likewise.
	* DPS/lib/dps/dpsexcept.c: Likewise.
	* DPS/lib/dps/dpssysnames.c: Likewise.
	* DPS/lib/dps/cslibint.h: Conditionally include private function
	definitions depending on the Xlib release (suggested by Gregor
	Hoffleit).
	* DPS/lib/dps/csstartNX.c: Define pid_t to int on NeXT. Add code for
	detaching from the controlling terminal on NeXT. Also changed the code
	that waits for the child exit to use wait3() instead of waitpid().
	* gs/gdevxini.c: Turn off graphic exposure events (patch from Peter
	Deutch).
	* gs/unixtail.mak: Add code to determine if some files exist on NeXT
	systems.
	* gs/unixansi.mak: Recreate for the above change.
	* gs/unix-gcc.mak: Likewise.
	* gs/unix-cc.mak: Likewise.
	* gs/gdevx.c: Don't print debugging messages anymore.
	* gs/zdpsx.c: Likewise.

Fri Mar 28 14:36:19 1997  GNUstep Development  <gnustep@net-community.com>

	* ANNOUNCE: New file.
	* FAQ: New file.
	* doc/announce.tmpl.texi: Update.
	* doc/Makefile.in (update-top): Copy additional text files.

Thu Mar 27 19:48:47 1995  GNUstep Development  <gnustep@net-community.com>

	* gs/unix-gcc.mak: Fix line so it begins with TAB.
	* gs/dpsnx.agent.in: Check if GNUSTEP_LIBRARY_PATH environment
	variable exists and use it for the DGS library path.
	* gs/gconfxx.h: New default for library paths.

Thu Mar  6 11:21:21 1997  GNUstep Development  <gnustep@net-community.com>

	* Release version 0.2.1
	* Version: Update.
	* doc/Makefile.in (update-top): New target to easy update text files.
	* doc/faq.tmpl.texi: Update.
	* doc/announce.tmpl.texi: Update.
	* doc/news.tmpl.texi: Update.
	* doc/todo.tmpl.texi: Update.
	* INSTALL: Update.
	* SUPPORT: Update.
	* TODO: Update.
	* NEWS: Update.

	* DPS/lib/dps/csopendi.c (DPSCAPOpenAgent): When autolaunching
	an agent, have it retry checking the X11 atoms.
	* DPS/lib/dps/csstartNX.c (DOZETIME): Increase the wait time
	to give the agent more time to start.

	* gs/gsdev.c (DEFAULT_WIDTH_10THS, DEFAULT_HEIGHT_10THS): Set
	to large values for DISPLAYPOSTSCRIPT so that windows can be
	larger than paper size.

Thu Feb 27 15:41:27 1997  GNUstep Development  <gnustep@net-community.com>

	* Release version 0.2.0

	* doc/announce.tmpl.texi: Update.
	* doc/news.tmpl.texi: Update.
	* doc/todo.tmpl.texi: Update.
	* INSTALL: Update.
	* TODO: Update.
	* NEWS: Update.
	* SUPPORT: New file.

	* Makefile.in: Utilize configure variables.  Add jpeg, png, and
	zlib libraries for compilation and installation.
	* Version: Update version and ftp sites.
	* configure.in: Configure jpeg, png, and zilb directories.
	* configure: Regenerate for configure.in changes.
	* gs/dpsnx.agent.in: New installation directory.
	* gs/gconfxx.h: New installation directory.
	* gs/gdevx.h: Include file.
	* gs/gsstate.h: Include file.
	* gs/unix-gcc.mak: Utilize configure variables.
	* zlib/Makefile.in: Likewise.
	* jpeg/makefile.cfg: Likewise.
	
Thu Feb 13 22:20:09 1997  Ovidiu Predescu <ovidiu@bx.logicnet.ro>

	* gs/gdevx.c (x_strip_tile_rectangle): Don't access xdev members
	directly; use macros instead.
	* gs/gdevx.c (set_tile): Likewise.
	* gs/gsdpsx.c: Include gxdevice.h.
	* gs/gsstate.c: Remove out a private_st_line_params() declaration.
	* gs/dvx-gcc.mak: Set the executable attributes for dpsnx.agent
	after installing.
	* gs/unix-cc.mak: Likewise.
	* gs/unix-gcc.mak: Likewise.
	* gs/unixansi.mak: Likewise.

Thu Feb 10 12:31:15 1997  GNUstep Development  <gnustep@net-community.com>

	* Upgrade to Ghostscript 4.03 and jpeg-6a.

Tue Feb  4 10:09:56 1997  GNUstep Development  <gnustep@net-community.com>

	* DPS/lib/dps/csconndi.c (X_CONNECTION_RETRIES): Decrease value
	back to default.

Mon Oct  7 18:24:01 1996  GNUstep Development  <gnustep@ocbi.com>

	* DPS/doc/TechNoteVol1.ps: Adding missing doc file.
	* DPS/doc/DPSNXDoc.ps: Likewise.

Thu Oct  3 11:25:19 1996  GNUstep Development  <gnustep@ocbi.com>

	Add documentation directory.
	* configure.in (AC_OUTPUT): Configure documentation Makefile.
	* configure: Regenerate with autoconf for configure.in changes.
	* doc/Makefile.in: New file.
	* doc/announce.tmpl.texi: New file.
	* doc/faq.tmpl.texi: New file.
	* doc/install.tmpl.texi: New file.
	* doc/news.tmpl.texi: New file.
	* doc/readme.tmpl.texi: New file.
	* doc/status.tmpl.texi: New file.
	* doc/todo.tmpl.texi: New file.
	* doc/texinfo.tex: New file.
	* TODO: New file.
	* FAQ: New file.
	* README: New file.
	* INSTALL: New file.
	* DPS/lib/dps/csconndi.c (X_CONNECTION_RETRIES): Increase value
	so that the DPS client library waits longer for agent to start.
	* Makefile.in (install-gs-fonts, uninstall-gs-fonts): New targets.
	* Version: correct ftp directory.

	Change directory structure to use DGS instead of ghostscript so
	that DGS does not conflict with an existing ghostscript install.
	* gs/dpsnx.agent.in: Likewise.
	* gs/gcc-head.mak: Likewise.
	* gs/unix-gcc.mak: Likewise.

	* gs/dvx-gcc.mak: Install/uninstall dpsnx.agent.
	* gs/unix-cc.mak: Likewise.
	* gs/unix-end.mak: Likewise.
	* gs/unix-gcc.mak: Likewise
	* gs/unixansi.mak: Likewise.

Mon Sep 23 20:30:35 1996  GNUstep Development  <gnustep@ocbi.com>

	* ChangeLog: New file.

